
function get(id){
    return document.getElementById(id).value;
}


//--------------------------------

function mostrar_estado(){


var v1=get('periodo');

if (v1=="periodo_1"){
    v1=1;
}
else if (v1=="periodo_2"){
    v1=2;
}
else if (v1=="periodo_3"){
    v1=3;
}
else if (v1=="periodo_4"){
    v1=4;
}
else if (v1=="periodo_5"){
    v1=5;
}

if (v1=="0") {
    alert("Seleccione Periodo");
    estado.checked=false;
    return 0;
}

var parametros = {"accion":'activar_periodo',"periodo":v1};


      $.ajax({
       data:  parametros,

       url:"estado_periodos.php",
       type: "POST",
       success: function(opciones){

           if (opciones=="1"){
               estado.checked=true;
           }
           else{
               estado.checked=false;
           }
           
       }})

   //---- Mostramos los archivos -----
   mostrar_archivos();

}

//**********************************


function mostrar_periodos(){

 var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'boletin_docente.php',
                type:  'post',
                success:function (response){
                    $("#periodo").html(response);
                }
        });

        //-----  MOSTRAR LA TABLA DE LOS PERIODOS CON SU ESTADO ----
        
 var parametros1 = {"accion":'tabla_periodos'};
         $.ajax({
                data:  parametros1,
                url:   'boletin_docente.php',
                type:  'post',
                success:function (response){
                    $("#tabla_periodos").html(response);
                }
        });


}


//------------------------

function activar(n){

var v1=get('periodo');

if (v1=="periodo_1"){
    v1=1;
}
else if (v1=="periodo_2"){
    v1=2;
}
else if (v1=="periodo_3"){
    v1=3;
}
else if (v1=="periodo_4"){
    v1=4;
}
else if (v1=="periodo_5"){
    v1=5;
}

if (v1=="0") {
    alert("Seleccione Periodo");
    estado.checked=false;
    return 0;
}

var parametros = {"accion":'periodo_v_f',"periodo":v1,"numero":n};


      $.ajax({
       data:  parametros,
       url:"estado_periodos.php",
       type: "POST"
      })

      if (n==1){
         estado.checked=true;
      }
      else{
         estado.checked=false;
      }

        //-----  MOSTRAR LA TABLA DE LOS PERIODOS CON SU ESTADO ----

         var parametros1 = {"accion":'tabla_periodos'};
         $.ajax({
                data:  parametros1,
                url:   'boletin_docente.php',
                type:  'post',
                success:function (response){
                    $("#tabla_periodos").html(response);
                }
        });

}

//------------------------
function generar(){

var p;

var v1=get('periodo');

if (v1=="periodo_1"){
    p=1;
}
else if (v1=="periodo_2"){
    p=2;
}
else if (v1=="periodo_3"){
    p=3;
}
else if (v1=="periodo_4"){
    p=4;
}
else if (v1=="periodo_5"){
    p=5;
}
else{
    p=0;
}


if (p=="0") {
    alert("Seleccione Periodo");
    return 0;
}


var parametros = {"periodo":p,"carpeta":v1};

      $.ajax({
       data:  parametros,

       url:"crear_archivo.php",
       type: "POST",
       success: function(response){

        alert(response);

       }})

}

//--------------------------------

function mostrar_archivos(){

if (get('periodo')=="0") {
    alert("Seleccione Periodo");
    return 0;
}

var v1="./datos_web/"+get('periodo')+"/";

var parametros = {"carpeta":v1};
        $.ajax({
                data:  parametros,
                url:   'descarga_archivos.php',
                type:  'post',
                success:function (response){
                    $("#archivos").html(response);
                }
        });
}


//------------------------
function descarga(){

   var arc=document.getElementById("archivos").value;
   var per=document.getElementById("periodo").value;


   if (per=="0")  {
       alert("Seleccione Periodo");
   }
   else{
       location.href="descarga_scripts.php?periodo="+per+"&archivo="+arc;
   }

}

//------------------------
function salir(){


  var parametros = {"accion":'matar_sesion'

                          };
        $.ajax({
                data:  parametros,
                url:   '../comprobar.php',
                type:  'post'
        });

        document.location.href="../index.php";
}
